AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- InteractionsProvider

## Index

### Methods

- configure
- getCategory
- getProviderName
- onComplete
- sendMessage

## Methods

### configure

- configure(config: object): object

- - Defined in interactions/src/types/Provider.ts:18

  #### Parameters

  - ##### config: object

  #### Returns object

### getCategory

- getCategory(): string

- - Defined in interactions/src/types/Provider.ts:21

  #### Returns string

### getProviderName

- getProviderName(): string

- - Defined in interactions/src/types/Provider.ts:24

  #### Returns string

### onComplete

- onComplete(botname: string, callback: function): any

- - Defined in interactions/src/types/Provider.ts:28

  #### Parameters

  - ##### botname: string

  - ##### callback: function

    - - (err: any, confirmation: InteractionsResponse): void

      - #### Parameters

        - ##### err: any

        - ##### confirmation: InteractionsResponse

        #### Returns void

  #### Returns any

### sendMessage

- sendMessage(botname: string, message: string | Object): Promise<any>

- - Defined in interactions/src/types/Provider.ts:26

  #### Parameters

  - ##### botname: string

  - ##### message: string | Object

  #### Returns Promise<any>